unit BaudFormUnit;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TFormBaud }

  TFormBaud = class(TForm)
    ButtonApply: TButton;
    ButtonCancel: TButton;
    EditBaudrates: TEdit;
    LabelRange: TLabel;
    LabelValidRange: TLabel;
    LabelBaudrates: TLabel;
    procedure ButtonApplyClick(Sender: TObject);
    procedure ButtonCancelClick(Sender: TObject);
    procedure EditBaudratesChange(Sender: TObject);

    private
    public

  end;

var
  FormBaud           : TFormBaud;
  UserInputBaudrates : TStringList;

implementation
uses
  SMDUtils;

{$R *.lfm}

const
  BUTTONAPPLY_CAPTION : array[Boolean] of string = ('Check input', 'Apply');

{ TFormBaud }

procedure TFormBaud.ButtonCancelClick(Sender: TObject);
begin
  ModalResult := mrCancel;
end;

procedure TFormBaud.EditBaudratesChange(Sender: TObject);
begin

  UserInputBaudrates.CommaText := EditBaudrates.Text;
  ButtonApply.Enabled := IsValidBaudrateList(UserInputBaudrates);
  ButtonApply.Caption := BUTTONAPPLY_CAPTION[ButtonApply.Enabled];

end;

procedure TFormBaud.ButtonApplyClick(Sender: TObject);
begin
  ModalResult := mrOK;
end;

initialization

  UserInputBaudrates := TStringList.Create;

finalization

  UserInputBaudrates.Free;

end.

